| Home | Libraries | People | FAQ | More

## Function template is_permutation

boost::algorithm::is_permutation — Tests to see if the sequence [first,last) is a permutation of the sequence starting at first2.

## Synopsis

    // In header: <boost/algorithm/cxx11/is_permutation.hpp>

    template<typename Range, typename ForwardIterator>
      bool is_permutation(const Range & r, ForwardIterator first2);

## Description

Parameters:

`r` | The input range
`first2` | The start of the second sequence